
while ( $seq = <STDIN> )
{
	if ( $seq =~ /(..........)GGA(......)TGC(............)/ )
	{
		print "BcgI site present. Central variable portion is $2\n";
	}
	else
	{
		print "BcgI site not present.\n";
	}
}
